function msd = calc_msd_perfect_funct(x,y,maxdt)
% assume all time steps are accounted for

msd = zeros(maxdt,1);
for i = 1:maxdt
    dr2 = (x(1:(end-i))-x((i+1):end)).^2 + ...
           (y(1:(end-i))-y((i+1):end)).^2 ;
    msd(i) = mean(dr2);
end
