function links = manual_linking_singles_angle_funct(x,y,t,mld)
% links = manual_linking_singles_funct(x,y,t);
% only link if one loc/frame in adjacent frames and within 'mld' nm

r2lim = mld^2;
cnt = 0;
links = zeros(length(x),5);
dx = x(2:end)-x(1:(end-1));
dy = y(2:end)-y(1:(end-1));
r = sqrt(x.^2+y.^2);
dr = r(2:end)-r(1:(end-1));
th = atan2(y,x);
dth = th(2:end)-th(1:(end-1));

msd = (dx).^2+(dy).^2;
meanx = (x(1:(end-1))+x(2:end))/2;
meany = (y(1:(end-1))+y(2:end))/2;
meanr = sqrt(meanx.^2+meany.^2);

for i = 2:length(x)
    if sum(t == t(i)) == 1 && sum(t == t(i-1)) == 1 && t(i) == t(i-1)+1 && msd(i-1) < r2lim
        cnt = cnt+1;
        
        links(cnt,:) = [msd(i-1) meanr(i-1) atan2(meany(i-1),meanx(i-1)) dr(i-1) dth(i-1)];
%         plot([x(i) x(i-1)],[y(i) y(i-1)],'r-')
    end
end
links = links(1:cnt,:);
        