function n = rand_poisson_nonzero_funct(lambda)
if lambda == 0
    n = 1;
else
% n is a random number such that a list of n's will yield a possoin
% distribution of average value lambda
a = rand*(1-poisson_funct(0,lambda));
c = 1;
while 1
    if a < sum(poisson_funct(1:c,lambda))
        n = c;
        break
    else
        c = c+1;
    end
end
end

function n = poisson_funct(k,lambda)
% n = poisson_funct(k,lambda)
% lambda = average number
% k = number to inquire
% n = probability of that number

n = lambda.^k .* exp(-lambda) ./ gamma(k+1);
