function [x y t] = remove_second_feature_funct(x,y,t,feat_r,crit_den)
% consider if there's a second lump
% look at 16 regions around centeral feature and remove any of too high
% density

r = sqrt(x.^2+y.^2);
th = atan2(y,x)*180/pi;
th(th<0) = th(th<0)+360;
% area_slice = pi*max(r)^2/4-pi*feat_r^2/4;

feat_den = sum(r<feat_r)/(pi*feat_r^2);
den = zeros(8,1);
totarea = pi*max(x.^2+y.^2);
featarea = pi*feat_r^2;
halfarea = (totarea-featarea)/2;
midr = sqrt((featarea+halfarea)/pi);
for j = 1:2
    if j == 1
        rmin = feat_r;
        rmax = midr;
    elseif j == 2
        rmin = midr;
        rmax = Inf;
    end
for i = 0:7
    den(j,i+1) = sum(th>(i*45) & th<=(45+i*45) & r >= rmin & r< rmax);
end
end
den = den/(halfarea/8);

% meanden = mean(den);
% high = den > (feat_den+meanden*5)/6;
high = den > crit_den;

keep = (r<feat_r);
for j = 1:2
    if j == 1
        rmin = feat_r;
        rmax = midr;
    elseif j == 2
        rmin = midr;
        rmax = Inf;
    end
for i = 0:7
    if ~high(j,i+1)
        keep = keep | (th>(i*45) & th<=(45+i*45) & r >= rmin & r< rmax);
    end 
end
end
x = x(keep);
y = y(keep);
t = t(keep);

% save('temp.mat')