% analyze combined results
clear all
clc
subplot(1,1,1)
hold off
plot(1,1)

fold = 'C:\Users\CVKelly\Google Drive\B - Sensors revisions again\updated simulations\from grid\DLBleach_IvT\';
load([fold 'All fit results.mat'],'tau_all','plot_rate','etau_all','Alist_all','eAlist_all','Dratio_all','hlist')

tau_all = tau_all*plot_rate*(1.125*10^-6); % or 0.81*10^-6?
etau_all = etau_all*plot_rate*(1.125*10^-6);
% etau_all(tau_all>0.32) = 0;
% tau_all(tau_all>0.32) = 0;

dcnt = 0;
Alist_comp = zeros(4,29);
eAlist_comp = zeros(4,29);
tau_comp = zeros(4,29);
etau_comp = zeros(4,29);
Alist = zeros(1,29);
eAlist = zeros(1,29);
tau = zeros(1,29);
etau = zeros(1,29);
col = colormap(lines(3));
sha = 'os^';

for Dratio = [1 10 25]
    dcnt = dcnt+1;
    ilist = 1:13;
    ilist = ilist(Dratio_all==Dratio);
    taut = tau_all(ilist,:);
    Alistt = Alist_all(ilist,:);
    for i = 1:29
        Alist(i) = mean(Alistt(Alistt(:,i)>0,i));
        tau(i)   = mean(taut(taut(:,i)>0,i));
        eAlist(i) = std(Alistt(Alistt(:,i)>0,i));
        etau(i) = std(taut(taut(:,i)>0,i));          
    end
    Alist_comp(dcnt,:) = Alist;
    eAlist_comp(dcnt,:) = eAlist/sqrt(4);
    tau_comp(dcnt,:) = tau;
    etau_comp(dcnt,:) = etau/sqrt(4);
    
    subplot(2,1,1)
    errorbar(0:5:140,Alist_comp(dcnt,:),eAlist_comp(dcnt,:),[sha(dcnt) '-'],'linewidth',2,'color',col(dcnt,:),'markerfacecolor',col(dcnt,:))
    hold on
    xlim([-3 143])
    set(gca,'fontsize',16,'linewidth',2)
    xlabel('height (nm)')
    ylabel('Amplitude')
    axis tight
    
    subplot(2,1,2)
    errorbar(0:5:140,tau_comp(dcnt,:),etau_comp(dcnt,:),[sha(dcnt) '-'],'linewidth',2,'color',col(dcnt,:),'markerfacecolor',col(dcnt,:))
    hold on    
    xlim([-3 143])
    set(gca,'fontsize',16,'linewidth',2)
    xlabel('height (nm)')
    ylabel('tau (s)')
    axis tight

end
expected_tau = 0.250^2/4/1;
subplot(2,1,1)
legend(num2str([1 10 25']'))   
legend('location','northwest')
legend('boxoff')

save('ready to plot FRAP.mat','tau_comp','etau_comp','Alist_comp','eAlist_comp','hlist')
