% make histograms vs r vs height for slowed or not slowed  


Dratio_list =     [1  10  1 10 10 25 10 ];
tframe_list =     [20 20  2  2  2 20  2 ];
loc_uncert_list = [15 15 15 15  3 15 45 ];

xyRange = 200;
br = 15;
binsxy = -xyRange-br:br:br+xyRange;xxy = binsxy+binsxy(2)/2-binsxy(1)/2;
% binsxy = linspace(-xyRange,xyRange,41);
[X Y] = meshgrid(binsxy,binsxy);
D = zeros(length(binsxy),length(binsxy)); 

subplot(1,1,1)
hold off
plot(1,1)

for exper = 7
    
Dratio = Dratio_list(exper);
loc_uncert = loc_uncert_list(exper);
dtn = tframe_list(exper);
dt = dtn;

    fold_read = ['steps vs r vs dt ' num2str(exper) ' combined\'];
    file_write = ['DresultsXY_' num2str(exper)  '.mat'];
for height = 0:5:140
    file_read  = ['steps_' num2str(height) '_' num2str(exper) '.mat'];
    load([fold_read file_read],'meanx','meany','steps')

     rt = xyRange*1.05;
    st = steps(meanx > -rt & meanx < rt & meany > -rt & meany < rt);
    mx = meanx(meanx > -rt & meanx < rt & meany > -rt & meany < rt);
    my = meany(meanx > -rt & meanx < rt & meany > -rt & meany < rt);
    clear meanx meany steps

%     returnr
       
    [hx mx] = histc(mx,binsxy);
    [hy my] = histc(my,binsxy);

    hold off
    for i = 1:max(mx)
    for j = 1:max(my)
        s = st(mx==i & my==j);
        D(i,j) = mean(s.^2)/4/dtn;
    end
    end
    hold off
    D(isnan(D)) = 0;
    D = D/1000;
    
    D = D-10^-6*loc_uncert^2/(dt/1000);

%     D(D>2.5) = 2.5;
    D(end,end) = 0;
    D(1,end) = 2.5;
    
    surf(X,Y,D)
    
    set(gca,'fontsize',18,'linewidth',2)
    shading flat
    view([0 90])
    xlabel('x (nm)')
    ylabel('y (nm)')
    box on
    colorbar
    axis tight
    title(['height=' num2str(height) '; Dratio=' num2str(Dratio) '; \Deltat=' num2str(dtn)]);
    drawnow
             
    saveas(gcf,[fold_read file_write(1:(end-4)) '.jpg'],'jpg')
    save([fold_read file_write],'D','X','Y','binsxy','dt','loc_uncert','Dratio','dtn','xyRange')
end
end

    